// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S054_UnnumberItems.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S054_UnnumberItems extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;
  public static final int unmarkItem = 4;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2, 2
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\36\u0200\1\u0300\1\u0400\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\2\22\0\1\1"+
    "\1\0\1\3\3\0\1\4\1\0\2\5\2\0\1\1"+
    "\1\5\1\0\1\6\12\7\1\10\1\11\5\0\1\12"+
    "\1\13\1\14\1\15\1\16\1\17\1\20\1\21\1\22"+
    "\1\23\1\24\1\25\1\26\1\27\1\30\1\31\1\23"+
    "\1\32\1\33\1\34\1\35\1\23\1\36\1\37\1\40"+
    "\1\23\1\41\1\0\1\42\1\0\1\43\1\0\1\44"+
    "\1\45\1\46\1\47\1\50\1\51\1\52\1\53\1\54"+
    "\1\0\1\55\1\56\1\57\1\60\1\61\1\62\1\0"+
    "\1\63\1\64\1\65\1\66\1\0\1\67\1\70\1\71"+
    "\266\0\2\54\115\0\1\64\u0182\0\1\1\20\0\2\5"+
    "\u0115\0\1\55\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1280];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\7\0\2\1\2\2\2\3\32\0\1\4\233\0\1\5"+
    "\136\0\1\5\11\0\1\5\35\0\1\5\1\0\1\5"+
    "\12\0\1\5\31\0\1\6\1\7\161\0\1\10\6\0"+
    "\1\11\1\12\1\0\1\13";

  private static int [] zzUnpackAction() {
    int [] result = new int[495];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\72\0\164\0\256\0\350\0\u0122\0\u015c\0\u0196"+
    "\0\u01d0\0\u0196\0\u020a\0\u0196\0\u0244\0\u027e\0\u02b8\0\u02f2"+
    "\0\u032c\0\u0366\0\u03a0\0\u03da\0\u0414\0\u044e\0\u0488\0\u04c2"+
    "\0\u04fc\0\u0536\0\u0570\0\u05aa\0\u05e4\0\u061e\0\u0658\0\u0692"+
    "\0\u06cc\0\u0706\0\u0740\0\u077a\0\u07b4\0\u07ee\0\u0828\0\u0196"+
    "\0\u0862\0\u089c\0\u08d6\0\u0910\0\u094a\0\u0984\0\u09be\0\u09f8"+
    "\0\u0a32\0\u0a6c\0\u0aa6\0\u0ae0\0\u0b1a\0\u0b54\0\u0b8e\0\u0bc8"+
    "\0\u0c02\0\u0c3c\0\u0c76\0\u0cb0\0\u0cea\0\u0d24\0\u0d5e\0\u0d98"+
    "\0\u0dd2\0\u0e0c\0\u0e46\0\u0e80\0\u0eba\0\u0ef4\0\u0f2e\0\u0f68"+
    "\0\u0fa2\0\u0fdc\0\u1016\0\u1050\0\u108a\0\u10c4\0\u10fe\0\u1138"+
    "\0\u1172\0\u11ac\0\u11e6\0\u1220\0\u125a\0\u1294\0\u12ce\0\u1308"+
    "\0\u1342\0\u137c\0\u13b6\0\u13f0\0\u142a\0\u1464\0\u149e\0\u14d8"+
    "\0\u1512\0\u154c\0\u1586\0\u15c0\0\u15fa\0\u1634\0\u166e\0\u16a8"+
    "\0\u16e2\0\u171c\0\u1756\0\u1790\0\u17ca\0\u1804\0\u183e\0\u1878"+
    "\0\u18b2\0\u18ec\0\u1926\0\u1960\0\u199a\0\u19d4\0\u1a0e\0\u1a48"+
    "\0\u1a82\0\u1abc\0\u1af6\0\u1b30\0\u1b6a\0\u1ba4\0\u1bde\0\u1c18"+
    "\0\u1c52\0\u1c8c\0\u1cc6\0\u1d00\0\u1d3a\0\u1d74\0\u1dae\0\u1de8"+
    "\0\u1e22\0\u1e5c\0\u1e96\0\u1ed0\0\u1f0a\0\u1f44\0\u1f7e\0\u1fb8"+
    "\0\u1ff2\0\u202c\0\u2066\0\u20a0\0\u20da\0\u2114\0\u214e\0\u2188"+
    "\0\u21c2\0\u21fc\0\u2236\0\u2270\0\u22aa\0\u22e4\0\u231e\0\u2358"+
    "\0\u2392\0\u23cc\0\u2406\0\u2440\0\u247a\0\u24b4\0\u24ee\0\u2528"+
    "\0\u2562\0\u259c\0\u25d6\0\u2610\0\u264a\0\u2684\0\u26be\0\u26f8"+
    "\0\u2732\0\u276c\0\u27a6\0\u27e0\0\u281a\0\u2854\0\u288e\0\u28c8"+
    "\0\u2902\0\u293c\0\u2976\0\u29b0\0\u29ea\0\u2a24\0\u2a5e\0\u2a98"+
    "\0\u2ad2\0\u2b0c\0\u2b46\0\u0196\0\u2b80\0\u2bba\0\u2bf4\0\u2c2e"+
    "\0\u2c68\0\u2ca2\0\u2cdc\0\u2d16\0\u2d50\0\u2d8a\0\u2dc4\0\u2dfe"+
    "\0\u2e38\0\u2e72\0\u2eac\0\u2ee6\0\u2f20\0\u2f5a\0\u2f94\0\u2fce"+
    "\0\u3008\0\u3042\0\u307c\0\u30b6\0\u30f0\0\u312a\0\u3164\0\u319e"+
    "\0\u31d8\0\u3212\0\u324c\0\u3286\0\u32c0\0\u32fa\0\u3334\0\u336e"+
    "\0\u33a8\0\u33e2\0\u341c\0\u3456\0\u3490\0\u34ca\0\u3504\0\u353e"+
    "\0\u3578\0\u35b2\0\u35ec\0\u3626\0\u3660\0\u369a\0\u36d4\0\u370e"+
    "\0\u3748\0\u3782\0\u37bc\0\u37f6\0\u3830\0\u386a\0\u38a4\0\u38de"+
    "\0\u3918\0\u3952\0\u398c\0\u39c6\0\u3a00\0\u3a3a\0\u3a74\0\u3aae"+
    "\0\u3ae8\0\u3b22\0\u3b5c\0\u3b96\0\u3bd0\0\u3c0a\0\u3c44\0\u3c7e"+
    "\0\u3cb8\0\u3cf2\0\u3d2c\0\u3d66\0\u3da0\0\u3dda\0\u3e14\0\u3e4e"+
    "\0\u3e88\0\u3ec2\0\u3efc\0\u3f36\0\u3f70\0\u3faa\0\u3fe4\0\u401e"+
    "\0\u4058\0\u4092\0\u40cc\0\u40cc\0\u4106\0\u4140\0\u417a\0\u41b4"+
    "\0\u41ee\0\u4228\0\u4262\0\u429c\0\u42d6\0\u42d6\0\u4310\0\u434a"+
    "\0\u4384\0\u43be\0\u43f8\0\u4432\0\u446c\0\u44a6\0\u44e0\0\u451a"+
    "\0\u4554\0\u458e\0\u45c8\0\u4602\0\u463c\0\u4676\0\u46b0\0\u46ea"+
    "\0\u4724\0\u475e\0\u4798\0\u47d2\0\u480c\0\u4846\0\u4880\0\u48ba"+
    "\0\u48f4\0\u492e\0\u4968\0\u4968\0\u49a2\0\u49a2\0\u49dc\0\u4a16"+
    "\0\u4a50\0\u4a8a\0\u4ac4\0\u4afe\0\u4b38\0\u4b72\0\u4bac\0\u4be6"+
    "\0\u4be6\0\u4c20\0\u4c5a\0\u4c94\0\u4cce\0\u4d08\0\u4d42\0\u4d7c"+
    "\0\u4db6\0\u4df0\0\u4e2a\0\u4e64\0\u4e9e\0\u4ed8\0\u4f12\0\u4f4c"+
    "\0\u4f86\0\u4fc0\0\u4ffa\0\u5034\0\u506e\0\u50a8\0\u50e2\0\u511c"+
    "\0\u5156\0\u0196\0\u0196\0\u0196\0\u5190\0\u51ca\0\u5204\0\u523e"+
    "\0\u5278\0\u52b2\0\u52ec\0\u5326\0\u5360\0\u539a\0\u53d4\0\u540e"+
    "\0\u5448\0\u5482\0\u54bc\0\u54f6\0\u5530\0\u556a\0\u55a4\0\u55de"+
    "\0\u5618\0\u5652\0\u568c\0\u56c6\0\u5700\0\u573a\0\u5774\0\u57ae"+
    "\0\u57e8\0\u5822\0\u585c\0\u5896\0\u58d0\0\u590a\0\u5944\0\u597e"+
    "\0\u59b8\0\u59f2\0\u5a2c\0\u5a66\0\u5aa0\0\u5ada\0\u5b14\0\u5b4e"+
    "\0\u5b88\0\u5bc2\0\u5bfc\0\u5c36\0\u5c70\0\u5caa\0\u5ce4\0\u5d1e"+
    "\0\u5d58\0\u5d92\0\u5dcc\0\u5e06\0\u5e40\0\u5e7a\0\u5eb4\0\u5eee"+
    "\0\u5f28\0\u5f62\0\u5f9c\0\u5fd6\0\u6010\0\u604a\0\u6084\0\u60be"+
    "\0\u60f8\0\u6132\0\u616c\0\u61a6\0\u61e0\0\u621a\0\u6254\0\u628e"+
    "\0\u62c8\0\u6302\0\u633c\0\u6376\0\u63b0\0\u63ea\0\u6424\0\u645e"+
    "\0\u6498\0\u64d2\0\u650c\0\u6546\0\u6580\0\u65ba\0\u65f4\0\u662e"+
    "\0\u6668\0\u66a2\0\u66dc\0\u6716\0\u6750\0\u678a\0\u67c4\0\u67fe"+
    "\0\u6838\0\u6872\0\u68ac\0\u68e6\0\u6920\0\u695a\0\u6994\0\u69ce"+
    "\0\u6a08\0\u6a42\0\u6a7c\0\u6ab6\0\u51ca\0\u6af0\0\u6b2a\0\u6b64"+
    "\0\u6b9e\0\u6bd8\0\u6c12\0\u0196\0\u0196\0\u6c4c\0\u0196";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[495];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\41\10\1\11\30\10\41\12\1\13\30\12\41\14\1\15"+
    "\30\14\41\0\1\16\72\0\1\17\70\0\1\20\71\0"+
    "\1\21\147\0\1\22\30\0\1\22\21\0\1\23\110\0"+
    "\1\24\30\0\1\24\40\0\1\25\30\0\1\25\42\0"+
    "\1\26\30\0\1\26\36\0\1\27\30\0\1\27\40\0"+
    "\1\30\30\0\1\30\37\0\1\31\30\0\1\31\41\0"+
    "\1\32\30\0\1\32\37\0\1\33\30\0\1\33\40\0"+
    "\1\34\30\0\1\34\40\0\1\35\30\0\1\35\40\0"+
    "\1\36\30\0\1\36\40\0\1\37\30\0\1\37\43\0"+
    "\1\40\30\0\1\40\35\0\1\41\30\0\1\41\43\0"+
    "\1\42\30\0\1\42\40\0\1\43\30\0\1\43\36\0"+
    "\1\44\30\0\1\44\42\0\1\45\30\0\1\45\40\0"+
    "\1\46\30\0\1\46\21\0\1\47\110\0\1\50\30\0"+
    "\1\50\21\0\1\51\71\0\1\52\67\0\1\53\73\0"+
    "\1\54\71\0\1\55\73\0\1\56\1\57\1\60\1\61"+
    "\1\62\3\57\1\63\2\57\1\64\1\57\1\65\1\57"+
    "\1\66\1\57\1\67\5\57\2\0\1\57\1\70\1\0"+
    "\1\71\1\72\1\73\3\0\1\74\1\0\1\75\1\0"+
    "\1\76\1\0\1\77\1\0\1\100\27\0\1\101\31\0"+
    "\1\101\32\0\1\102\11\0\1\103\1\0\1\104\15\0"+
    "\1\102\10\0\1\103\1\0\1\104\50\0\1\105\44\0"+
    "\1\106\1\0\1\107\6\0\1\110\20\0\1\106\1\0"+
    "\1\107\5\0\1\110\27\0\1\111\1\112\1\113\6\0"+
    "\1\114\20\0\1\111\1\112\1\113\5\0\1\114\23\0"+
    "\1\115\1\0\15\57\1\116\2\57\1\117\6\57\2\0"+
    "\1\57\14\0\1\120\2\0\1\121\16\0\1\115\1\0"+
    "\27\57\2\0\1\57\36\0\1\115\1\0\13\57\1\122"+
    "\2\57\1\123\10\57\2\0\1\57\12\0\1\124\2\0"+
    "\1\125\20\0\1\115\1\0\4\57\1\126\11\57\1\127"+
    "\10\57\2\0\1\57\4\0\1\130\10\0\1\131\20\0"+
    "\1\115\1\0\23\57\1\132\3\57\2\0\1\57\22\0"+
    "\1\133\13\0\1\115\1\0\22\57\1\134\4\57\2\0"+
    "\1\57\21\0\1\135\14\0\1\115\1\0\4\57\1\136"+
    "\22\57\2\0\1\57\4\0\1\137\31\0\1\115\1\0"+
    "\16\57\1\140\10\57\2\0\1\57\15\0\1\141\20\0"+
    "\1\115\1\0\1\142\22\57\1\143\3\57\2\0\1\57"+
    "\1\144\21\0\1\145\13\0\1\115\1\0\4\57\1\146"+
    "\22\57\2\0\1\57\4\0\1\147\50\0\1\120\2\0"+
    "\1\121\25\0\1\120\2\0\1\121\33\0\1\124\2\0"+
    "\1\125\25\0\1\124\2\0\1\125\26\0\1\130\11\0"+
    "\1\131\17\0\1\130\10\0\1\131\45\0\1\133\30\0"+
    "\1\133\37\0\1\135\30\0\1\135\22\0\1\137\31\0"+
    "\1\137\51\0\1\141\30\0\1\141\22\0\1\144\22\0"+
    "\1\145\6\0\1\144\21\0\1\145\21\0\1\147\31\0"+
    "\1\147\55\0\1\150\30\0\1\150\22\0\1\151\11\0"+
    "\1\152\17\0\1\151\10\0\1\152\40\0\1\153\30\0"+
    "\1\153\45\0\1\154\30\0\1\154\3\0\41\155\1\0"+
    "\30\155\25\0\1\156\30\0\1\156\50\0\1\157\30\0"+
    "\1\157\21\0\1\160\31\0\1\160\46\0\1\161\30\0"+
    "\1\161\43\0\1\162\30\0\1\162\45\0\1\163\30\0"+
    "\1\163\21\0\1\164\31\0\1\164\21\0\2\115\2\0"+
    "\4\115\1\165\30\115\2\0\27\115\10\0\1\115\1\0"+
    "\15\57\1\166\11\57\2\0\1\57\14\0\1\167\21\0"+
    "\1\115\1\0\22\57\1\170\4\57\2\0\1\57\21\0"+
    "\1\171\33\0\1\167\30\0\1\167\45\0\1\171\30\0"+
    "\1\171\14\0\1\115\1\0\27\57\2\0\1\172\36\0"+
    "\1\115\1\0\14\57\1\173\12\57\2\0\1\57\13\0"+
    "\1\174\55\0\1\175\54\0\1\174\30\0\1\174\22\0"+
    "\1\115\1\0\17\57\1\176\7\57\2\0\1\57\16\0"+
    "\1\177\17\0\1\115\1\0\2\57\1\200\24\57\2\0"+
    "\1\57\2\0\1\201\54\0\1\177\30\0\1\177\23\0"+
    "\1\201\31\0\1\201\33\0\1\115\1\0\27\57\2\0"+
    "\1\202\71\0\1\203\36\0\1\115\1\0\4\57\1\204"+
    "\22\57\2\0\1\57\4\0\1\205\37\0\1\205\31\0"+
    "\1\205\31\0\1\115\1\0\6\57\1\122\13\57\1\206"+
    "\4\57\2\0\1\57\6\0\1\124\12\0\1\207\24\0"+
    "\1\124\13\0\1\207\15\0\1\124\12\0\1\207\14\0"+
    "\1\115\1\0\22\57\1\210\4\57\2\0\1\57\21\0"+
    "\1\211\40\0\1\211\30\0\1\211\14\0\1\115\1\0"+
    "\20\57\1\212\6\57\2\0\1\57\17\0\1\213\16\0"+
    "\1\115\1\0\1\57\1\214\25\57\2\0\1\57\1\0"+
    "\1\215\56\0\1\213\30\0\1\213\21\0\1\215\31\0"+
    "\1\215\34\0\1\115\1\0\15\57\1\216\11\57\2\0"+
    "\1\57\14\0\1\217\40\0\1\217\30\0\1\217\27\0"+
    "\1\220\31\0\1\220\52\0\1\221\30\0\1\221\23\0"+
    "\1\222\31\0\1\222\57\0\1\223\30\0\1\223\17\0"+
    "\1\224\31\0\1\224\24\0\41\155\1\0\1\225\27\155"+
    "\43\0\1\226\71\0\1\227\46\0\1\156\31\0\1\156"+
    "\62\0\1\230\42\0\1\231\31\0\1\231\66\0\1\232"+
    "\46\0\1\161\31\0\1\161\26\0\1\233\72\0\1\115"+
    "\1\0\4\57\1\234\22\57\2\0\1\57\4\0\1\235"+
    "\37\0\1\235\31\0\1\235\31\0\1\115\1\0\10\57"+
    "\1\236\16\57\2\0\1\57\10\0\1\237\37\0\1\237"+
    "\31\0\1\237\25\0\1\115\1\0\1\240\2\57\1\241"+
    "\23\57\2\0\1\57\1\242\2\0\1\243\32\0\1\115"+
    "\1\0\14\57\1\244\12\57\2\0\1\57\13\0\1\245"+
    "\40\0\1\245\30\0\1\245\24\0\1\242\2\0\1\243"+
    "\26\0\1\242\2\0\1\243\32\0\1\115\1\0\16\57"+
    "\1\246\10\57\2\0\1\57\15\0\1\247\40\0\1\247"+
    "\30\0\1\247\20\0\1\115\1\0\22\57\1\250\4\57"+
    "\2\0\1\251\21\0\1\252\40\0\1\252\6\0\1\253"+
    "\21\0\1\252\14\0\1\115\1\0\2\57\1\254\10\57"+
    "\1\255\13\57\2\0\1\57\2\0\1\256\7\0\1\257"+
    "\27\0\1\256\10\0\1\257\20\0\1\256\7\0\1\257"+
    "\23\0\1\115\1\0\14\57\1\260\12\57\2\0\1\57"+
    "\13\0\1\261\40\0\1\261\30\0\1\261\22\0\1\115"+
    "\1\0\22\57\1\262\4\57\2\0\1\57\21\0\1\263"+
    "\40\0\1\263\30\0\1\263\14\0\1\115\1\0\10\57"+
    "\1\264\16\57\2\0\1\57\10\0\1\265\37\0\1\265"+
    "\31\0\1\265\25\0\1\115\1\0\1\266\26\57\2\0"+
    "\1\57\1\267\37\0\1\267\31\0\1\267\35\0\1\115"+
    "\1\0\13\57\1\270\13\57\2\0\1\57\12\0\1\271"+
    "\40\0\1\271\30\0\1\271\23\0\1\115\1\0\22\57"+
    "\1\272\4\57\2\0\1\57\21\0\1\273\40\0\1\273"+
    "\30\0\1\273\32\0\1\274\30\0\1\274\42\0\1\275"+
    "\30\0\1\275\53\0\1\276\50\0\1\277\31\0\1\277"+
    "\42\0\1\300\30\0\1\300\13\0\7\155\1\301\31\155"+
    "\1\0\1\225\27\155\12\0\1\302\31\0\1\302\41\0"+
    "\1\106\10\0\1\110\20\0\1\106\7\0\1\110\30\0"+
    "\1\112\31\0\1\112\56\0\1\303\30\0\1\303\31\0"+
    "\1\114\30\0\1\114\22\0\1\233\32\0\1\304\37\0"+
    "\1\115\1\0\25\57\1\305\1\57\2\0\1\57\24\0"+
    "\1\306\40\0\1\306\30\0\1\306\11\0\1\115\1\0"+
    "\2\57\1\307\24\57\2\0\1\57\2\0\1\310\37\0"+
    "\1\310\31\0\1\310\33\0\1\115\1\0\23\57\1\311"+
    "\3\57\2\0\1\57\22\0\1\312\13\0\1\115\1\0"+
    "\16\57\1\313\10\57\2\0\1\57\15\0\1\314\45\0"+
    "\1\312\30\0\1\312\33\0\1\314\30\0\1\314\20\0"+
    "\1\115\1\0\1\305\26\57\2\0\1\57\1\306\37\0"+
    "\1\306\31\0\1\306\35\0\1\115\1\0\21\57\1\315"+
    "\5\57\2\0\1\57\20\0\1\316\40\0\1\316\30\0"+
    "\1\316\15\0\1\115\1\0\26\57\1\317\2\0\1\57"+
    "\25\0\1\320\10\0\1\115\1\0\3\57\1\321\23\57"+
    "\2\0\1\57\3\0\1\322\62\0\1\320\30\0\1\320"+
    "\15\0\1\322\31\0\1\322\32\0\1\115\1\0\13\57"+
    "\1\323\13\57\2\0\1\57\12\0\1\324\23\0\1\115"+
    "\1\0\4\57\1\325\22\57\2\0\1\57\4\0\1\326"+
    "\46\0\1\324\30\0\1\324\31\0\1\326\31\0\1\326"+
    "\31\0\1\327\1\0\27\57\2\0\1\57\36\0\1\330"+
    "\71\0\1\115\1\0\4\57\1\331\22\57\2\0\1\57"+
    "\4\0\1\332\37\0\1\332\31\0\1\332\31\0\1\115"+
    "\1\0\5\57\1\270\21\57\2\0\1\57\5\0\1\271"+
    "\37\0\1\271\31\0\1\271\30\0\1\115\1\0\6\57"+
    "\1\333\20\57\2\0\1\57\6\0\1\334\37\0\1\334"+
    "\31\0\1\334\27\0\1\115\1\0\10\57\1\335\16\57"+
    "\2\0\1\57\10\0\1\336\37\0\1\336\31\0\1\336"+
    "\25\0\1\115\1\0\4\57\1\337\22\57\2\0\1\57"+
    "\4\0\1\340\37\0\1\340\31\0\1\340\31\0\1\341"+
    "\114\0\1\342\30\0\1\342\22\0\1\343\31\0\1\343"+
    "\41\0\1\300\31\0\1\300\42\0\1\344\31\0\1\344"+
    "\15\0\7\155\1\301\1\345\30\155\1\0\1\225\27\155"+
    "\35\0\1\346\30\0\1\346\43\0\1\347\30\0\1\347"+
    "\10\0\1\350\1\0\27\57\2\0\1\57\36\0\1\351"+
    "\71\0\1\115\1\0\13\57\1\352\13\57\2\0\1\57"+
    "\12\0\1\353\40\0\1\353\30\0\1\353\23\0\1\115"+
    "\1\0\22\57\1\354\4\57\2\0\1\57\21\0\1\355"+
    "\40\0\1\355\30\0\1\355\14\0\1\115\1\0\2\57"+
    "\1\356\24\57\2\0\1\57\2\0\1\357\37\0\1\357"+
    "\31\0\1\357\33\0\1\115\1\0\10\57\1\360\16\57"+
    "\2\0\1\57\10\0\1\361\37\0\1\361\31\0\1\361"+
    "\25\0\1\115\1\0\17\57\1\362\7\57\2\0\1\57"+
    "\16\0\1\363\40\0\1\363\30\0\1\363\17\0\1\115"+
    "\1\0\1\364\26\57\2\0\1\57\1\365\37\0\1\365"+
    "\31\0\1\365\35\0\1\115\1\0\27\57\2\0\1\366"+
    "\71\0\1\367\36\0\1\115\1\0\6\57\1\122\20\57"+
    "\2\0\1\57\6\0\1\124\37\0\1\124\31\0\1\124"+
    "\17\0\2\327\2\0\4\327\1\370\30\327\2\0\27\327"+
    "\2\330\2\0\4\330\1\371\30\330\2\0\27\330\10\0"+
    "\1\115\1\0\20\57\1\305\6\57\2\0\1\57\17\0"+
    "\1\306\40\0\1\306\30\0\1\306\16\0\1\115\1\0"+
    "\20\57\1\372\6\57\2\0\1\57\17\0\1\373\40\0"+
    "\1\373\30\0\1\373\16\0\1\115\1\0\2\57\1\374"+
    "\24\57\2\0\1\57\2\0\1\375\37\0\1\375\31\0"+
    "\1\375\33\0\1\115\1\0\15\57\1\376\11\57\2\0"+
    "\1\57\14\0\1\377\40\0\1\377\30\0\1\377\11\0"+
    "\2\341\2\0\4\341\1\u0100\30\341\2\0\27\341\22\0"+
    "\1\u0101\31\0\1\u0101\27\0\1\u0102\31\0\1\u0102\41\0"+
    "\1\u0103\31\0\1\u0103\23\0\2\345\2\155\4\345\1\u0104"+
    "\30\345\1\0\1\225\27\345\34\0\1\u0105\30\0\1\u0105"+
    "\35\0\1\u0106\30\0\1\u0106\7\0\2\350\2\0\4\350"+
    "\1\u0107\30\350\2\0\27\350\2\351\2\0\4\351\1\u0108"+
    "\30\351\2\0\27\351\10\0\1\115\1\0\4\57\1\305"+
    "\22\57\2\0\1\57\4\0\1\306\37\0\1\306\31\0"+
    "\1\306\31\0\1\115\1\0\7\57\1\u0109\17\57\2\0"+
    "\1\57\7\0\1\u010a\37\0\1\u010a\31\0\1\u010a\26\0"+
    "\1\115\1\0\22\57\1\250\4\57\2\0\1\57\21\0"+
    "\1\252\40\0\1\252\30\0\1\252\14\0\1\115\1\0"+
    "\22\57\1\u010b\4\57\2\0\1\57\21\0\1\u010c\40\0"+
    "\1\u010c\30\0\1\u010c\14\0\1\115\1\0\4\57\1\u010d"+
    "\22\57\2\0\1\57\4\0\1\u010e\37\0\1\u010e\31\0"+
    "\1\u010e\31\0\1\115\1\0\22\57\1\u010f\4\57\2\0"+
    "\1\57\21\0\1\u0110\40\0\1\u0110\30\0\1\u0110\14\0"+
    "\1\115\1\0\1\240\26\57\2\0\1\57\1\242\37\0"+
    "\1\242\31\0\1\242\34\0\1\u0111\71\0\1\u0112\72\0"+
    "\1\115\1\0\1\u0113\26\57\2\0\1\57\1\u0114\37\0"+
    "\1\u0114\31\0\1\u0114\35\0\1\115\1\0\1\u0115\26\57"+
    "\2\0\1\57\1\u0116\37\0\1\u0116\31\0\1\u0116\35\0"+
    "\1\115\1\0\2\57\1\352\24\57\2\0\1\57\2\0"+
    "\1\353\37\0\1\353\31\0\1\353\32\0\1\u0117\116\0"+
    "\1\222\30\0\1\222\40\0\1\u0106\30\0\1\u0106\16\0"+
    "\1\u0118\31\0\1\u0118\25\0\26\155\1\u0119\12\155\1\0"+
    "\1\225\14\155\1\u0119\12\155\21\0\1\u011a\31\0\1\u011a"+
    "\34\0\1\u011a\31\0\1\u011a\30\0\1\u011b\71\0\1\u011c"+
    "\72\0\1\u011d\1\0\27\57\2\0\1\57\36\0\1\u011e"+
    "\71\0\1\115\1\0\27\57\2\0\1\251\71\0\1\253"+
    "\36\0\1\u011f\1\0\27\57\2\0\1\57\36\0\1\u0120"+
    "\71\0\1\115\1\0\4\57\1\u0121\22\57\2\0\1\57"+
    "\4\0\1\u0122\37\0\1\u0122\31\0\1\u0122\30\0\1\u0111"+
    "\32\0\1\u0123\36\0\1\u0112\32\0\1\u0124\37\0\1\115"+
    "\1\0\17\57\1\u0125\7\57\2\0\1\57\16\0\1\u0126"+
    "\40\0\1\u0126\30\0\1\u0126\17\0\1\115\1\0\22\57"+
    "\1\u0127\4\57\2\0\1\57\21\0\1\u0128\40\0\1\u0128"+
    "\30\0\1\u0128\13\0\1\u0117\32\0\1\u0129\63\0\1\u012a"+
    "\30\0\1\u012a\4\0\16\155\1\u012b\22\155\1\0\1\225"+
    "\5\155\1\u012b\21\155\10\0\1\u012c\70\0\1\u011b\32\0"+
    "\1\u012d\36\0\1\u011c\32\0\1\u012e\27\0\2\u011d\2\0"+
    "\4\u011d\1\u012f\30\u011d\2\0\27\u011d\2\u011e\2\0\4\u011e"+
    "\1\u0130\30\u011e\2\0\27\u011e\2\u011f\2\0\4\u011f\1\u0131"+
    "\30\u011f\2\0\27\u011f\2\u0120\2\0\4\u0120\1\u0132\30\u0120"+
    "\2\0\27\u0120\10\0\1\u0133\1\0\27\57\2\0\1\57"+
    "\36\0\1\u0134\61\0\41\u0135\1\0\30\u0135\10\0\1\115"+
    "\1\0\7\57\1\305\17\57\2\0\1\57\7\0\1\306"+
    "\37\0\1\306\31\0\1\306\26\0\1\115\1\0\10\57"+
    "\1\u0136\16\57\2\0\1\57\10\0\1\u0137\37\0\1\u0137"+
    "\31\0\1\u0137\15\0\41\u0138\1\0\30\u0138\22\0\1\u0139"+
    "\31\0\1\u0139\15\0\34\155\1\u013a\4\155\1\0\1\225"+
    "\22\155\1\u013a\4\155\2\u012c\2\0\4\u012c\1\u013b\30\u012c"+
    "\2\0\27\u012c\41\u013c\1\0\30\u013c\7\0\1\u013d\71\0"+
    "\1\u013e\71\0\1\u013f\71\0\1\u0140\62\0\2\u0133\2\0"+
    "\4\u0133\1\u0141\30\u0133\2\0\27\u0133\2\u0134\2\0\4\u0134"+
    "\1\u0142\30\u0134\2\0\27\u0134\41\u0135\1\u0143\30\u0135\10\0"+
    "\1\115\1\0\16\57\1\u0144\10\57\2\0\1\57\15\0"+
    "\1\u0145\40\0\1\u0145\30\0\1\u0145\10\0\41\u0138\1\u0146"+
    "\30\u0138\30\0\1\u0147\30\0\1\u0147\10\0\22\155\1\u0148"+
    "\16\155\1\0\1\225\11\155\1\u0148\15\155\7\0\1\u0149"+
    "\62\0\41\u013c\1\u014a\30\u013c\7\0\1\u013d\32\0\1\u014b"+
    "\36\0\1\u013e\32\0\1\u014c\36\0\1\u013f\32\0\1\u014d"+
    "\36\0\1\u0140\32\0\1\u014e\36\0\1\u014f\71\0\1\u0150"+
    "\70\0\1\u0151\73\0\1\115\1\0\15\57\1\u010b\11\57"+
    "\2\0\1\57\14\0\1\u010c\40\0\1\u010c\30\0\1\u010c"+
    "\17\0\1\u0152\112\0\1\222\30\0\1\222\11\0\10\155"+
    "\1\u0153\30\155\1\0\1\225\27\155\7\0\1\u0149\32\0"+
    "\1\u0154\35\0\1\u0155\63\0\41\u0156\1\0\30\u0156\41\u0157"+
    "\1\0\30\u0157\7\0\1\u014f\32\0\1\u0158\36\0\1\u0150"+
    "\32\0\1\u0159\54\0\1\u015a\30\0\1\u015a\40\0\1\u015b"+
    "\30\0\1\u015b\13\0\27\155\1\u015c\11\155\1\0\1\225"+
    "\15\155\1\u015c\11\155\41\u015d\1\0\30\u015d\25\0\1\u015e"+
    "\30\0\1\u015e\13\0\41\u0156\1\u015f\30\u0156\41\u0157\1\u0160"+
    "\30\u0157\41\u0161\1\0\30\u0161\24\0\1\u0162\30\0\1\u0162"+
    "\40\0\1\u0163\30\0\1\u0163\14\0\24\155\1\u0164\14\155"+
    "\1\0\1\225\12\155\1\u0164\14\155\41\u015d\1\u0165\30\u015d"+
    "\24\0\1\u0166\30\0\1\u0166\22\0\1\u0167\71\0\1\u0168"+
    "\63\0\41\u0161\1\u0169\30\u0161\27\0\1\u016a\30\0\1\u016a"+
    "\40\0\1\u016b\30\0\1\u016b\11\0\25\155\1\u016c\13\155"+
    "\1\0\1\225\13\155\1\u016c\13\155\6\0\1\u016d\112\0"+
    "\1\u016e\30\0\1\u016e\36\0\1\u016f\30\0\1\u016f\40\0"+
    "\1\u0170\30\0\1\u0170\21\0\1\u0171\125\0\1\u0172\71\0"+
    "\1\u0173\27\0\41\155\1\u0174\1\225\27\155\25\0\1\u0175"+
    "\30\0\1\u0175\55\0\1\u0176\53\0\1\u0177\30\0\1\u0177"+
    "\40\0\1\u0178\30\0\1\u0178\41\0\1\u0179\30\0\1\u0179"+
    "\37\0\1\u017a\30\0\1\u017a\15\0\2\u0176\1\0\1\u017b"+
    "\1\u0176\33\0\1\u017c\1\0\1\u0176\55\0\1\u017d\30\0"+
    "\1\u017d\40\0\1\u017e\30\0\1\u017e\35\0\1\u017f\30\0"+
    "\1\u017f\43\0\1\u0180\30\0\1\u0180\40\0\1\u0181\30\0"+
    "\1\u0181\36\0\1\u0182\30\0\1\u0182\55\0\1\u0183\71\0"+
    "\1\u0184\56\0\1\u0185\30\0\1\u0185\53\0\1\u0186\42\0"+
    "\1\u0187\31\0\1\u0187\50\0\1\u0188\30\0\1\u0188\15\0"+
    "\2\u0183\1\0\1\u0189\34\0\1\u018a\31\0\2\u0184\1\0"+
    "\1\u018b\34\0\1\u018c\72\0\1\u018d\30\0\2\u0186\1\0"+
    "\1\u018e\120\0\1\u018f\30\0\1\u018f\34\0\1\u0190\30\0"+
    "\1\u0190\40\0\1\u0191\30\0\1\u0191\36\0\1\u0192\30\0"+
    "\1\u0192\42\0\1\u0193\30\0\1\u0193\36\0\1\u0194\30\0"+
    "\1\u0194\14\0\2\u018d\1\0\1\u0195\34\0\1\u0196\57\0"+
    "\1\u0197\30\0\1\u0197\42\0\1\u0198\30\0\1\u0198\17\0"+
    "\1\u0199\74\0\1\u019a\31\0\1\u019a\50\0\1\u019b\30\0"+
    "\1\u019b\27\0\1\u019c\31\0\1\u019c\50\0\1\u019d\30\0"+
    "\1\u019d\43\0\1\u019e\30\0\1\u019e\36\0\1\u019f\30\0"+
    "\1\u019f\26\0\1\u01a0\31\0\1\u01a0\35\0\1\u0176\102\0"+
    "\1\u01a1\10\0\1\u01a2\20\0\1\u01a1\7\0\1\u01a2\40\0"+
    "\1\u01a3\30\0\1\u01a3\34\0\1\u01a4\30\0\1\u01a4\44\0"+
    "\1\u01a5\30\0\1\u01a5\34\0\1\u01a6\30\0\1\u01a6\24\0"+
    "\1\u01a7\31\0\1\u01a7\50\0\1\u01a8\30\0\1\u01a8\47\0"+
    "\1\u01a9\30\0\1\u01a9\41\0\1\u01aa\30\0\1\u01aa\40\0"+
    "\1\u01ab\30\0\1\u01ab\35\0\1\u01ac\30\0\1\u01ac\17\0"+
    "\1\u01ad\112\0\1\u01ae\30\0\1\u01ae\17\0\1\u01af\114\0"+
    "\1\u01b0\30\0\1\u01b0\34\0\1\u01b1\30\0\1\u01b1\42\0"+
    "\1\u01b2\30\0\1\u01b2\25\0\1\u01b3\31\0\1\u01b3\52\0"+
    "\1\u01b4\30\0\1\u01b4\20\0\1\u0183\102\0\1\u01b5\31\0"+
    "\1\u01b5\26\0\1\u0184\102\0\1\u01b6\31\0\1\u01b6\46\0"+
    "\1\u01b7\30\0\1\u01b7\17\0\1\u01b8\72\0\1\u0186\106\0"+
    "\1\u01b9\30\0\1\u01b9\50\0\1\306\30\0\1\306\36\0"+
    "\1\u01ba\30\0\1\u01ba\40\0\1\u01bb\30\0\1\u01bb\15\0"+
    "\1\u018d\102\0\1\u01bc\31\0\1\u01bc\25\0\1\u01bd\77\0"+
    "\1\u01be\31\0\1\u01be\37\0\1\u01bf\31\0\1\u01bf\55\0"+
    "\1\u01c0\30\0\1\u01c0\4\0\2\u01bd\2\0\4\u01bd\1\u01c1"+
    "\30\u01bd\2\0\27\u01bd\26\0\1\u01c2\30\0\1\u01c2\40\0"+
    "\1\u01c3\30\0\1\u01c3\30\0\1\u01c4\31\0\1\u01c4\30\0"+
    "\1\u01c5\72\0\1\u01c6\71\0\1\u01c7\107\0\1\u01c8\30\0"+
    "\1\u01c8\21\0\1\u01c5\32\0\1\u01c9\27\0\2\u01c6\2\0"+
    "\4\u01c6\1\u01ca\30\u01c6\2\0\27\u01c6\2\u01c7\2\0\4\u01c7"+
    "\1\u01cb\30\u01c7\2\0\27\u01c7\10\0\1\u01cc\61\0\41\u01cd"+
    "\1\0\30\u01cd\7\0\1\u01ce\71\0\1\u01cf\62\0\2\u01cc"+
    "\2\0\4\u01cc\1\u01d0\30\u01cc\2\0\27\u01cc\41\u01cd\1\u01d1"+
    "\30\u01cd\7\0\1\u01ce\32\0\1\u01d2\36\0\1\u01cf\32\0"+
    "\1\u01d3\36\0\1\u01d4\70\0\1\u01d5\63\0\41\u01d6\1\0"+
    "\30\u01d6\41\u01d7\1\0\30\u01d7\7\0\1\u01d4\32\0\1\u01d8"+
    "\54\0\1\u01d9\30\0\1\u01d9\13\0\41\u01d6\1\u01da\30\u01d6"+
    "\41\u01d7\1\u01db\30\u01d7\41\u01dc\1\0\30\u01dc\24\0\1\u01dd"+
    "\30\0\1\u01dd\22\0\1\u01de\71\0\1\u01df\63\0\41\u01dc"+
    "\1\u01e0\30\u01dc\27\0\1\u01e1\30\0\1\u01e1\36\0\1\u01e2"+
    "\30\0\1\u01e2\40\0\1\u01e3\30\0\1\u01e3\21\0\1\u01e4"+
    "\125\0\1\u01e5\53\0\1\u01e6\30\0\1\u01e6\40\0\1\u01e7"+
    "\30\0\1\u01e7\41\0\1\u01e8\30\0\1\u01e8\42\0\1\u01e9"+
    "\30\0\1\u01e9\40\0\1\u01ea\30\0\1\u01ea\35\0\1\u01eb"+
    "\30\0\1\u01eb\56\0\1\u01ec\71\0\1\u01ed\56\0\1\u01ee"+
    "\30\0\1\u01ee\53\0\1\u01ef\27\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[27782];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\7\0\1\11\1\1\1\11\1\1\1\11\1\1\32\0"+
    "\1\11\233\0\1\11\136\0\1\1\11\0\1\1\35\0"+
    "\1\1\1\0\1\1\12\0\1\1\31\0\3\11\21\0"+
    "\1\1\136\0\1\1\6\0\2\11\1\0\1\11";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[495];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** For the backwards DFA of general lookahead statements */
  private boolean [] zzFin = new boolean [Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())+1];

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
		
	S054_UnnumberItems() { }
	
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S054_UnnumberItems(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 12: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 13: break;
          case 3:
            { System.out.print(yytext());
            }
          // fall through
          case 14: break;
          case 4:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 15: break;
          case 5:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 16: break;
          case 6:
            { yypushback(yylength());
	yybegin(unmarkItem);
            }
          // fall through
          case 17: break;
          case 7:
            { AnnotationEntity retrievedEntity = retrieveEntity();
		
		addText(retrievedEntity.getText());
		
		yybegin(0);
            }
          // fall through
          case 18: break;
          case 8:
            { addText();
            }
          // fall through
          case 19: break;
          case 9:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 5;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 4;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { addText(); yybegin(unmarkItem);
            }
          // fall through
          case 20: break;
          case 10:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 6;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 4;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { addText(); yybegin(unmarkItem);
            }
          // fall through
          case 21: break;
          case 11:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 3;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 4;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { addText(); yybegin(unmarkItem);
            }
          // fall through
          case 22: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S054_UnnumberItems [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S054_UnnumberItems scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S054_UnnumberItems(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
